USE psa;

CREATE TABLE IF NOT EXISTS BackupsRunning (
	sessionId	varchar(150)
				CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL
,	param		varchar(150)
				CHARACTER SET utf8 COLLATE utf8_general_ci NOT NULL
,	val			varchar(255)
				CHARACTER SET binary
,				PRIMARY KEY (sessionId, param)
) TYPE=InnoDB;

CREATE TABLE IF NOT EXISTS BackupsScheduled (
	id			INT UNSIGNED AUTO_INCREMENT PRIMARY KEY
,	obj_id		INT UNSIGNED NOT NULL
,	obj_type	ENUM('server', 'client', 'domain') NOT NULL
,	last		DATETIME NOT NULL
,	period		INT UNSIGNED NOT NULL
,	active		ENUM('true', 'false') NOT NULL
,	processed	ENUM('true', 'false') NOT NULL
,	files		INT NOT NULL
,	prefix		varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci
,	email		varchar(255) CHARACTER SET utf8 COLLATE utf8_general_ci
,	objects		INT UNSIGNED
				-- REFERENCES BackupObjects(id)
) TYPE=InnoDB;

CREATE TABLE IF NOT EXISTS BackupsObjects (
	id			INT UNSIGNED NOT NULL AUTO_INCREMENT
,	obj_id		INT UNSIGNED NOT NULL
,	obj_type	ENUM('client', 'domain') NOT NULL
,				PRIMARY KEY (id, obj_id, obj_type)
) TYPE=InnoDB;
